=== modified file 'ChangeLog'
--- ChangeLog	2006-07-17 14:00:33 +0000
+++ ChangeLog	2006-07-17 20:24:24 +0000
@@ -1,5 +1,8 @@
 2006-07-17  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
+    * olive.glade: signals added + Branch dialog modifications
+    * olive/frontend/gtk/branch.py: began to implement branching functionality
+    * olive/frontend/gtk/*: fixes tabs and spaces
     * olive/frontend/gtk/dialog.py: some basic dialog stuff added
     * olive/frontend/gtk/handler.py: moved dialog stuff into dialog.py
     * olive/frontend/gtk/__init__.py: added Status column to filelist

=== modified file 'olive.glade'
--- olive.glade	2006-07-17 14:00:33 +0000
+++ olive.glade	2006-07-17 20:24:24 +0000
@@ -6,7 +6,6 @@
 <widget class="GtkWindow" id="window_main">
   <property name="width_request">700</property>
   <property name="height_request">400</property>
-  <property name="visible">True</property>
   <property name="title" translatable="yes">Olive - Bazaar-NG GUI</property>
   <property name="type">GTK_WINDOW_TOPLEVEL</property>
   <property name="window_position">GTK_WIN_POS_NONE</property>
@@ -461,7 +460,6 @@
 </widget>
 
 <widget class="GtkWindow" id="window_commit">
-  <property name="visible">True</property>
   <property name="title" translatable="yes">Olive - Commit</property>
   <property name="type">GTK_WINDOW_TOPLEVEL</property>
   <property name="window_position">GTK_WIN_POS_NONE</property>
@@ -647,7 +645,6 @@
 </widget>
 
 <widget class="GtkWindow" id="window_branch">
-  <property name="visible">True</property>
   <property name="title" translatable="yes">Olive - Branch</property>
   <property name="type">GTK_WINDOW_TOPLEVEL</property>
   <property name="window_position">GTK_WIN_POS_NONE</property>
@@ -657,7 +654,7 @@
   <property name="decorated">True</property>
   <property name="skip_taskbar_hint">False</property>
   <property name="skip_pager_hint">False</property>
-  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
+  <property name="type_hint">GDK_WINDOW_TYPE_HINT_DIALOG</property>
   <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
   <property name="focus_on_map">True</property>
   <property name="urgency_hint">False</property>
@@ -672,7 +669,7 @@
       <child>
 	<widget class="GtkTable" id="table_branch">
 	  <property name="visible">True</property>
-	  <property name="n_rows">5</property>
+	  <property name="n_rows">6</property>
 	  <property name="n_columns">2</property>
 	  <property name="homogeneous">False</property>
 	  <property name="row_spacing">3</property>
@@ -775,55 +772,28 @@
 	  </child>
 
 	  <child>
-	    <widget class="GtkLabel" id="label_branch_revno">
+	    <widget class="GtkCheckButton" id="checkbutton_branch_lightweight">
 	      <property name="visible">True</property>
-	      <property name="label" translatable="yes">Revision number:</property>
-	      <property name="use_underline">False</property>
-	      <property name="use_markup">False</property>
-	      <property name="justify">GTK_JUSTIFY_LEFT</property>
-	      <property name="wrap">False</property>
-	      <property name="selectable">False</property>
-	      <property name="xalign">0</property>
-	      <property name="yalign">0.5</property>
-	      <property name="xpad">0</property>
-	      <property name="ypad">0</property>
-	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
-	      <property name="width_chars">-1</property>
-	      <property name="single_line_mode">False</property>
-	      <property name="angle">0</property>
+	      <property name="can_focus">True</property>
+	      <property name="label" translatable="yes">Lightweight checkout</property>
+	      <property name="use_underline">True</property>
+	      <property name="relief">GTK_RELIEF_NORMAL</property>
+	      <property name="focus_on_click">True</property>
+	      <property name="active">False</property>
+	      <property name="inconsistent">False</property>
+	      <property name="draw_indicator">True</property>
 	    </widget>
 	    <packing>
-	      <property name="left_attach">0</property>
-	      <property name="right_attach">1</property>
-	      <property name="top_attach">2</property>
-	      <property name="bottom_attach">3</property>
+	      <property name="left_attach">1</property>
+	      <property name="right_attach">2</property>
+	      <property name="top_attach">5</property>
+	      <property name="bottom_attach">6</property>
 	      <property name="x_options">fill</property>
 	      <property name="y_options"></property>
 	    </packing>
 	  </child>
 
 	  <child>
-	    <widget class="GtkEntry" id="entry_branch_revno">
-	      <property name="visible">True</property>
-	      <property name="can_focus">True</property>
-	      <property name="editable">True</property>
-	      <property name="visibility">True</property>
-	      <property name="max_length">0</property>
-	      <property name="text" translatable="yes"></property>
-	      <property name="has_frame">True</property>
-	      <property name="invisible_char">●</property>
-	      <property name="activates_default">False</property>
-	    </widget>
-	    <packing>
-	      <property name="left_attach">1</property>
-	      <property name="right_attach">2</property>
-	      <property name="top_attach">2</property>
-	      <property name="bottom_attach">3</property>
-	      <property name="y_options"></property>
-	    </packing>
-	  </child>
-
-	  <child>
 	    <widget class="GtkCheckButton" id="checkbutton_branch_checkout">
 	      <property name="visible">True</property>
 	      <property name="can_focus">True</property>
@@ -838,34 +808,110 @@
 	    <packing>
 	      <property name="left_attach">1</property>
 	      <property name="right_attach">2</property>
-	      <property name="top_attach">3</property>
-	      <property name="bottom_attach">4</property>
-	      <property name="x_options">fill</property>
-	      <property name="y_options"></property>
-	    </packing>
-	  </child>
-
-	  <child>
-	    <widget class="GtkCheckButton" id="checkbutton_branch_lightweight">
-	      <property name="visible">True</property>
-	      <property name="can_focus">True</property>
-	      <property name="label" translatable="yes">Lightweight checkout</property>
-	      <property name="use_underline">True</property>
-	      <property name="relief">GTK_RELIEF_NORMAL</property>
-	      <property name="focus_on_click">True</property>
-	      <property name="active">False</property>
-	      <property name="inconsistent">False</property>
-	      <property name="draw_indicator">True</property>
-	    </widget>
-	    <packing>
-	      <property name="left_attach">1</property>
-	      <property name="right_attach">2</property>
 	      <property name="top_attach">4</property>
 	      <property name="bottom_attach">5</property>
 	      <property name="x_options">fill</property>
 	      <property name="y_options"></property>
 	    </packing>
 	  </child>
+
+	  <child>
+	    <widget class="GtkLabel" id="label_branch_revno">
+	      <property name="visible">True</property>
+	      <property name="label" translatable="yes">Revision number:</property>
+	      <property name="use_underline">False</property>
+	      <property name="use_markup">False</property>
+	      <property name="justify">GTK_JUSTIFY_LEFT</property>
+	      <property name="wrap">False</property>
+	      <property name="selectable">False</property>
+	      <property name="xalign">0</property>
+	      <property name="yalign">0.5</property>
+	      <property name="xpad">0</property>
+	      <property name="ypad">0</property>
+	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
+	      <property name="width_chars">-1</property>
+	      <property name="single_line_mode">False</property>
+	      <property name="angle">0</property>
+	    </widget>
+	    <packing>
+	      <property name="left_attach">0</property>
+	      <property name="right_attach">1</property>
+	      <property name="top_attach">3</property>
+	      <property name="bottom_attach">4</property>
+	      <property name="x_options">fill</property>
+	      <property name="y_options"></property>
+	    </packing>
+	  </child>
+
+	  <child>
+	    <widget class="GtkLabel" id="label_branch_localnick">
+	      <property name="visible">True</property>
+	      <property name="label" translatable="yes">Local nick:</property>
+	      <property name="use_underline">False</property>
+	      <property name="use_markup">False</property>
+	      <property name="justify">GTK_JUSTIFY_LEFT</property>
+	      <property name="wrap">False</property>
+	      <property name="selectable">False</property>
+	      <property name="xalign">0</property>
+	      <property name="yalign">0.5</property>
+	      <property name="xpad">0</property>
+	      <property name="ypad">0</property>
+	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
+	      <property name="width_chars">-1</property>
+	      <property name="single_line_mode">False</property>
+	      <property name="angle">0</property>
+	    </widget>
+	    <packing>
+	      <property name="left_attach">0</property>
+	      <property name="right_attach">1</property>
+	      <property name="top_attach">2</property>
+	      <property name="bottom_attach">3</property>
+	      <property name="x_options">fill</property>
+	      <property name="y_options"></property>
+	    </packing>
+	  </child>
+
+	  <child>
+	    <widget class="GtkEntry" id="entry_branch_localnick">
+	      <property name="visible">True</property>
+	      <property name="can_focus">True</property>
+	      <property name="editable">True</property>
+	      <property name="visibility">True</property>
+	      <property name="max_length">0</property>
+	      <property name="text" translatable="yes"></property>
+	      <property name="has_frame">True</property>
+	      <property name="invisible_char">●</property>
+	      <property name="activates_default">False</property>
+	    </widget>
+	    <packing>
+	      <property name="left_attach">1</property>
+	      <property name="right_attach">2</property>
+	      <property name="top_attach">2</property>
+	      <property name="bottom_attach">3</property>
+	      <property name="y_options"></property>
+	    </packing>
+	  </child>
+
+	  <child>
+	    <widget class="GtkSpinButton" id="spinbutton_branch_revno">
+	      <property name="visible">True</property>
+	      <property name="can_focus">True</property>
+	      <property name="climb_rate">1</property>
+	      <property name="digits">0</property>
+	      <property name="numeric">False</property>
+	      <property name="update_policy">GTK_UPDATE_ALWAYS</property>
+	      <property name="snap_to_ticks">False</property>
+	      <property name="wrap">False</property>
+	      <property name="adjustment">0 0 100000 1 10 10</property>
+	    </widget>
+	    <packing>
+	      <property name="left_attach">1</property>
+	      <property name="right_attach">2</property>
+	      <property name="top_attach">3</property>
+	      <property name="bottom_attach">4</property>
+	      <property name="y_options"></property>
+	    </packing>
+	  </child>
 	</widget>
 	<packing>
 	  <property name="padding">0</property>
@@ -887,6 +933,7 @@
 	      <property name="can_focus">True</property>
 	      <property name="relief">GTK_RELIEF_NORMAL</property>
 	      <property name="focus_on_click">True</property>
+	      <signal name="clicked" handler="on_button_branch_branch_clicked" last_modification_time="Mon, 17 Jul 2006 16:25:30 GMT"/>
 
 	      <child>
 		<widget class="GtkAlignment" id="alignment2">
@@ -926,7 +973,7 @@
 		      <child>
 			<widget class="GtkLabel" id="label6">
 			  <property name="visible">True</property>
-			  <property name="label" translatable="yes">Branch</property>
+			  <property name="label" translatable="yes">_Branch</property>
 			  <property name="use_underline">True</property>
 			  <property name="use_markup">False</property>
 			  <property name="justify">GTK_JUSTIFY_LEFT</property>
@@ -963,6 +1010,7 @@
 	      <property name="use_stock">True</property>
 	      <property name="relief">GTK_RELIEF_NORMAL</property>
 	      <property name="focus_on_click">True</property>
+	      <signal name="clicked" handler="on_button_branch_cancel_clicked" last_modification_time="Mon, 17 Jul 2006 16:26:15 GMT"/>
 	    </widget>
 	  </child>
 	</widget>

=== modified file 'olive/frontend/gtk/__init__.py'
--- olive/frontend/gtk/__init__.py	2006-07-17 14:00:33 +0000
+++ olive/frontend/gtk/__init__.py	2006-07-17 20:24:24 +0000
@@ -17,15 +17,15 @@
 import sys
 
 try:
- 	import pygtk
-  	pygtk.require("2.0")
+    import pygtk
+    pygtk.require("2.0")
 except:
-  	pass
+    pass
 try:
-	import gtk
-  	import gtk.glade
+    import gtk
+    import gtk.glade
 except:
-	sys.exit(1)
+    sys.exit(1)
 
 from handler import OliveHandler
 
@@ -45,7 +45,10 @@
             # Load from current directory if not installed
             self.gladefile = "olive.glade"
 
-        self.toplevel = gtk.glade.XML(self.gladefile, "window_main")
+        self.toplevel = gtk.glade.XML(self.gladefile, 'window_main')
+        
+        self.window = self.toplevel.get_widget('window_main')
+        self.window.show_all()
         
         handler = OliveHandler(self.gladefile)
         
@@ -54,6 +57,7 @@
                 "on_quit_activate": gtk.main_quit,
                 "on_about_activate": handler.on_about_activate,
                 "on_menuitem_file_make_directory_activate": handler.not_implemented,
+                "on_menuitem_branch_branch_activate": handler.on_menuitem_branch_branch_activate,
                 "on_menuitem_branch_commit_activate": handler.not_implemented }
         
         # Connect the signals to the handlers

=== modified file 'olive/frontend/gtk/dialog.py'
--- olive/frontend/gtk/dialog.py	2006-07-17 14:00:33 +0000
+++ olive/frontend/gtk/dialog.py	2006-07-17 20:24:24 +0000
@@ -17,15 +17,15 @@
 import sys
 
 try:
- 	import pygtk
-  	pygtk.require("2.0")
+    import pygtk
+    pygtk.require("2.0")
 except:
-  	pass
+    pass
 try:
-	import gtk
-  	import gtk.glade
+    import gtk
+    import gtk.glade
 except:
-	sys.exit(1)
+    sys.exit(1)
 
 class OliveDialog:
     def __init__(self, gladefile):

=== modified file 'olive/frontend/gtk/handler.py'
--- olive/frontend/gtk/handler.py	2006-07-17 14:00:33 +0000
+++ olive/frontend/gtk/handler.py	2006-07-17 20:24:24 +0000
@@ -17,16 +17,17 @@
 import sys
 
 try:
- 	import pygtk
-  	pygtk.require("2.0")
+    import pygtk
+    pygtk.require("2.0")
 except:
-  	pass
+    pass
 try:
-	import gtk
-  	import gtk.glade
+    import gtk
+    import gtk.glade
 except:
-	sys.exit(1)
+    sys.exit(1)
 
+from branch import OliveBranch
 from dialog import OliveDialog
 
 class OliveHandler:
@@ -37,6 +38,10 @@
     
     def on_about_activate(self, widget):
         self.dialog.about()
+        
+    def on_menuitem_branch_branch_activate(self, widget):
+        branch = OliveBranch(self.gladefile)
+        branch.display()
     
     def not_implemented(self, widget):
         """ Display a Not implemented error message. """

